package it.integry.integrywmsnative.gest.accettazione_ordini_elenco;

import dagger.Module;
import dagger.Provides;
import it.integry.integrywmsnative.gest.accettazione_ordini_elenco.rest.OrdiniAccettazioneRESTConsumer;

@Module(subcomponents = {MainAccettazioneOrdiniElencoComponent.class})
public class MainAccettazioneOrdiniElencoModule {

    @Provides
    OrdiniAccettazioneRESTConsumer providesOrdiniAccettazioneRESTConsumer() {
        return new OrdiniAccettazioneRESTConsumer();
    }

    @Provides
    MainAccettazioneOrdiniElencoViewModel providesMainAccettazioneViewModel(OrdiniAccettazioneRESTConsumer ordiniAccettazioneRESTConsumer) {
        return new MainAccettazioneOrdiniElencoViewModel(ordiniAccettazioneRESTConsumer);
    }

}
